@charset "UTF-8";
:root{
  /*
  --blue: #0891B2;
  --navy: #282846;
  --yellow: #FBE462;
  --yellow2: #fff6c6;
  --lightyellow: #FFFBEB;
  --orange:#FF8C1C;
  --red: #FF1C1C;
  --gray: #707070;
*/
  --shirakawa1: #181831;
  --shirakawa2: #B8323B;
  --shirakawa3: #C2851D;
  --shiralawa4: #FFFBEB;
}

/*===============================================
ALL
===============================================*/

.topWrap.topimg{
  height: 350px;
  position: relative!important;
  z-index: 0;
  width: 100%;
  & img{
    position: absolute;
  }
}
.sectionInner,
.backtopWrap{
  width: calc(100% - 30px);
  margin: 0 auto;
  padding: 30px 0;
  & p{
    line-height: 1.6em;
  }
}
.sectionTitle{
  margin:0 0 20px 0;
  text-align: center;
  font-size: 120%;
  font-weight: bold;
  &.sub{
    position: relative;
    text-align: left;
    & p{
      padding-left:26px;
    }
    &::before{
      position: absolute;
      display: block;
      content: "";
      width: 18px;
      height: 18px;
      top: 50%;
      transform: translateY(-50%);
    }
  }
}
img.lineDeco{
  margin: 0 auto 15px auto;
}
.gridWrap{
  display: grid;
  grid-template-columns: 7em 1fr;
}
.textCont{
  & .title{
    position: relative;
    &::after{
      position: absolute;
      content: ":";
      right: .5em;
    }
  }
  & span{
    display: inline-block;
    line-height: 1.5em;
    font-size: 80%;
  }
  & + .textCont{
    margin-top: 15px;
  }
}


/*--------course--------*/
.dayNum{
  width: 100%;
  margin: 0 auto 15px auto;
  padding: 2px 50px;
  border-width: 2px;
  border-style: solid;
  border-radius: 50px;
  text-align: center;
  font-weight: bold;
  color: var(--shirakawa1);
}
.courseWrap{
  & .inner{
      margin: 0 0 30px 14px;
      padding-left: 2px;
      border-left: none;
  }
  &:last-child .inner{
      margin: 0 0 0 14px;
  }
  & .cont{
    position: relative;
    margin: 0 0 15px 20px;
    &::before{
      position: absolute;
      display: block;
      content: "";
      width: 28px;
      height: 28px;
      top: 0;
      left: -35px;
    }
  }
  & .mainInfo{
    display: grid;
    grid-template-columns: 6em 1fr;
    grid-template-rows: 1fr;
    column-gap: 10px;
    & p.time{
      text-align: center;
      border-width: 2px;
      border-style: solid;
      border-radius: 5px;
    }
    & p.spotName{
      padding-top:2px;
      font-weight: bold;
    }
     & p:empty + p.spotName{
      font-weight: normal;
    }
  }
  & .subInfo{
    margin-top: 8px;
    padding:10px;
    border-radius: 10px;
    font-size: 95%;
    & .imgWrap{
      margin-bottom: 10px;
      display: grid;
      & img{
        width: 100%;
        border-radius: 10px;
      } 
    }
    &.single{
    }
    &.multiple{
      & .imgWrap{
        display: grid;
        grid-template-columns: 49% 49%;
        grid-template-rows: 1fr;
        gap: 2%;
      }
    }
  }
}

/*--------checkbox--------*/
.formWrap{
  padding: 20px 0;
  text-align: center;
  border-radius: 10px;
}
#agree {
  display: none;
}
.check-label {
  width: fit-content;
  margin: 0 auto  20px auto;
  display: flex;
  align-items: center;
  cursor: pointer;
  font-weight: bold;
  &:hover{
    opacity: .6;
    transition: .2s;
  }
}
.custom-check {
  display: inline-block;
  width: 28px;
  height: 28px;
  border-width: 3px;
  border-style: solid;
  border-radius: 6px;
  background-color: #fff;
  position: relative;
  flex-shrink: 0;
  margin-right: 8px;
  overflow: visible;
    &::after {
    content: "";
    display: none;
    position: absolute;
    left: 40%;
    top: 30%;
    width: 25px;
    height: 13px;
    border-bottom-width: 5px;
    border-bottom-style: solid;
    border-left-width: 5px;
    border-left-style: solid;
    transform: rotate(-45deg);
    transform-origin: left bottom;
  }
}
.apply-btn {
  display: block;
  width: 90%;
  margin: 0 auto 10px auto;
  padding: 16px;
  border-radius: 50px;
  pointer-events: none;
  text-decoration: none;
  font-weight: bold;
  text-align: center;
  background-color: #ccc;
  color: #fff;
  & + p{
    font-size: 80%;
  }
}
    /*--------checked--------*/
    .formWrap:has(#agree:checked) .custom-check::after {
      display: block;
    }
    .formWrap:has(#agree:checked) .apply-btn {
      pointer-events: auto;
    }

/*--------footer--------*/
.longTextWrap{
  font-size: 85%;
  & dl{
    line-height: 1.6em;
    margin-bottom: 30px;
  }
  & dt{
    font-weight: bold;
  }
  & dd{
    padding-left:1em;
  }
  & dd + dt{
    margin-top:1.8em;
  }
}
section.contEnd{
  padding: 10px 0;
  & img{
    width: 40%;
    margin: 0 auto;
  }
}
a.subLink{
  display: block;
  position: relative;
  width: fit-content;
  padding: 10px 25px 10px 0 ;
  margin:0 0 0 auto;
  font-weight: bold;
  font-size: 80%;
  color:#0891B2;
  text-decoration: underline;
  &::after{
    display: block;
    position: absolute;
    content: "";
    width:15px;
    height: 15px;
    top:50%;
    transform: translateY(-50%);
    right:0;
    background: url(../img/arrow_up_blue.svg) center / contain no-repeat !important;
  }
}


/*--------------------------Responsive*/
@media (min-width: 1024px) { /*--for PC--*/
  .sectionInner,
  .backtopWrap{
    width: 950px;
    margin: 0 auto;
    padding: 30px 0;
    & p{
      line-height: 1.6em;
    }
  }
  .courseWrap{
    & .subInfo{
      & .imgWrap{
        margin-bottom: 0;
        display: auto;
        & img{
          width: auto;
        } 
      }
      &.single{
          display: grid;
          grid-template-columns: 300px 1fr;
          grid-template-rows: 1fr;
          gap: 10px;   
      }
      &.multiple{
        & .imgWrap{
            width: 100%;
            display: flex;
            gap: 10px;
            margin-bottom: 10px;
            & img{
              flex: 1;
              min-width: 0;
              width: 100%;
              object-fit: cover;
            }
        }
      }
    }
  }
  .apply-btn {
    width: 400px;
  }
  section.contEnd{
    & img{
      width: 240px;
    }
  }
}





/*-----------------------------------------------------------------------Unique*/

/*===============================================
shirakawa 
===============================================*/
.topWrap.topimg.shirakawa{
  height: 350px;
  background:url(../img/shirakawa_bg_main.jpg) top /  cover no-repeat;
  & .shirakawaLogo{
    width:95%;
    top:30px;
    left:50%;
    transform: translateX(-50%);
  }
  & .topinfoWrap{
    width: 100%;
    position: absolute;
    bottom: 0;
    padding: 10px 0;
    font-size: 90%;
    text-align: center;
    color: #fff;
    background:rgba(0,0,0, .4);
    & .title{
      width: fit-content;
      margin: 0 auto 10px auto;
      padding: 5px 20px;
      border-radius: 50px;
      background: var(--shirakawa2);
    }
  }
}
section.shirakawa1{
  color: #fff;
  background: var(--shirakawa1);
}
section.shirakawa2{
  color: #fff;
  background-color: var(--shirakawa2);
  background-image: url(../img/shirakawa_bg_red.svg);
  background-position: top 20px right 10px;
  background-repeat: no-repeat;
  background-size: 200px auto;

}
section.shirakawa3{
  color: #fff;
  background: var(--shirakawa3);
}
section.shirakawa1 .sectionTitle,
section.shirakawa2 .sectionTitle,
section.shirakawa3 .sectionTitle{
    &.sub{
      &::before{
        background: url(../img/shirakawa_icon_ume.svg) center / contain no-repeat;
      }
    }
  }
/*--------course--------*/
.shirakawa3 .dayNum{
  color: var(--shirakawa1);
  border-color: var(--shirakawa1);
}
.shirakawa3 .courseWrap{
  & .inner{
      background: linear-gradient(to bottom, #181831 calc(100% - 10px), transparent calc(100% - 23px)) left / 2px 100% no-repeat;
  }
  & .cont::before{
    background: url(../img/shirakawa_icon_spot.svg) center / contain no-repeat;
  }
  & .subInfo{
    background-color:var(--shiralawa4);
    color: var(--shirakawa1);
  }
}

/*--------checkbox--------*/
.formWrap{
  color: var(--shirakawa1);
  background: var(--shiralawa4);
}
.custom-check {
  border-color: var(--shirakawa1);
    &::after {
    border-left-color: var(--shirakawa2) ;
    border-bottom-color: var(--shirakawa2);
  }
  & + p{
    color: var(--shirakawa2);
  }
}
    /*--------checked--------*/
    .check-label:has(+ * + #agree:checked) .custom-check,
    .formWrap:has(#agree:checked) .custom-check  + p{
      color: var(--shirakawa1);  
    }
    .formWrap:has(#agree:checked) .apply-btn {
      background-color: var(--shirakawa2);
    }


/*--------------------------Responsive*/
@media (min-width: 1024px) { /*--for PC--*/
  .topWrap.topimg.shirakawa{
    height: 550px;
    & .shirakawaLogo{
        top:70px;
        width:760px;
    }
    & .topinfoWrap{
      position: inherit;
      margin-top:340px;
      font-size: 100%;
      font-weight: bold;
    }
  }
  .shirakawa3:has( .courseWrap ){
    background-image: url(../img/shirakawa_bg_yellow.svg);
    background-position: right 10px bottom 20px;
    background-repeat: no-repeat;
    background-size: 200px auto;
  }
  .shirakawa3 .courseWrap{
    background-image: url(../img/shirakawa_point.svg);
    background-position: top 15px right 10px;
    background-repeat: no-repeat;
    background-size: 100px auto;
  }
}
